function Me = ShellQuadElementMass(Dens,h1,ue1,ue2,ue3,ue4)
%ShellQuadElementMass   This function returns the element 
%                              Mass matrix for  base and viscoelastic layer

ue=[ue1,ue2,ue3,ue4].';
Me=zeros(20,20);
syms s si t ti z ;
a=(ue2(1)-ue1(1))/2;
b=(ue4(2)-ue1(2))/2;
temp=[-z,0;0 -z;0 0];
H=[eye(3),temp];
%N matrix
fai_i=1/4*(1+s*si)*(1+t*ti);
gi_1=1/8*(1+s*si)*(1+t*ti)*(2+s*si+t*ti-s^2-t^2);
gi_2=1/8*si*(1+s*si)^2*(s*si-1)*(1+t*ti)*a;
gi_3=1/8*ti*(1+t*ti)^2*(t*ti-1)*(1+s*si)*b;
xx=ue(1)*subs(fai_i,[si ti],[-1 -1])+ue(6)*subs(fai_i,[si ti],[1 -1])+...
    ue(11)*subs(fai_i,[si ti],[1 1])+ue(16)*subs(fai_i,[si ti],[-1 1]);%xxstıʽ
yy=ue(2)*subs(fai_i,[si ti],[-1 -1])+ue(7)*subs(fai_i,[si ti],[1 -1])+...
    ue(12)*subs(fai_i,[si ti],[1 1])+ue(17)*subs(fai_i,[si ti],[-1 1]);%yystıʽ
J=[diff(xx,'s'),diff(yy,'s');diff(xx,'t'),diff(yy,'t')];
dif_gi_1_x=1/det(J)*diff(yy,'t')*diff(gi_1,'s')-1/det(J)*diff(yy,'s')*diff(gi_1,'t');
dif_gi_2_x=1/det(J)*diff(yy,'t')*diff(gi_2,'s')-1/det(J)*diff(yy,'s')*diff(gi_2,'t');
dif_gi_3_x=1/det(J)*diff(yy,'t')*diff(gi_3,'s')-1/det(J)*diff(yy,'s')*diff(gi_3,'t');

dif_gi_1_y=-1/det(J)*diff(xx,'t')*diff(gi_1,'s')+1/det(J)*diff(xx,'s')*diff(gi_1,'t');
dif_gi_2_y=-1/det(J)*diff(xx,'t')*diff(gi_2,'s')+1/det(J)*diff(xx,'s')*diff(gi_2,'t');
dif_gi_3_y=-1/det(J)*diff(xx,'t')*diff(gi_3,'s')+1/det(J)*diff(xx,'s')*diff(gi_3,'t');

Ni=[fai_i 0 0 0 0;0 fai_i 0 0 0;0 0 gi_1 gi_2 gi_3;0 0 dif_gi_1_x dif_gi_2_x dif_gi_3_x;...
    0 0 dif_gi_1_y dif_gi_2_y dif_gi_3_y];
N1=subs(Ni,[si ti],[-1 -1]);
N2=subs(Ni,[si ti],[1 -1]);
N3=subs(Ni,[si ti],[1 1]);
N4=subs(Ni,[si ti],[-1 1]);
N=[N1 N2 N3 N4];

%%
    MD=Dens*N.'*int(H.'*H,z,-h1/2,h1/2)*N*det(J);
    Me_temp=int(int(MD,t,-1,1),s,-1,1);
    Me=Me+Me_temp;
 




