function Ke = ShellQuadElementStiffBase(Q,h1,hn,ue1,ue2,ue3,ue4)
%ShellQuadElementStiffBase   This function returns the element of base
%plate with damping treatment
%                            


ue=[ue1,ue2,ue3,ue4].';
syms s si t ti z ;
a=(ue2(1)-ue1(1))/2;
b=(ue4(2)-ue1(2))/2;
fai_i=1/4*(1+s*si)*(1+t*ti);
gi_1=1/8*(1+s*si)*(1+t*ti)*(2+s*si+t*ti-s^2-t^2);
gi_2=1/8*si*(1+s*si)^2*(s*si-1)*(1+t*ti)*a;
gi_3=1/8*ti*(1+t*ti)^2*(t*ti-1)*(1+s*si)*b;

xx=ue(1)*subs(fai_i,[si ti],[-1 -1])+ue(6)*subs(fai_i,[si ti],[1 -1])+...
    ue(11)*subs(fai_i,[si ti],[1 1])+ue(16)*subs(fai_i,[si ti],[-1 1]);%xxstıʽ
yy=ue(2)*subs(fai_i,[si ti],[-1 -1])+ue(7)*subs(fai_i,[si ti],[1 -1])+...
    ue(12)*subs(fai_i,[si ti],[1 1])+ue(17)*subs(fai_i,[si ti],[-1 1]);%yystıʽ
J=[diff(xx,'s'),diff(yy,'s');diff(xx,'t'),diff(yy,'t')];

dif_fai_i_x=1/det(J)*diff(yy,'t')*diff(fai_i,'s')-1/det(J)*diff(yy,'s')*diff(fai_i,'t');
dif_fai_i_y=-1/det(J)*diff(xx,'t')*diff(fai_i,'s')+1/det(J)*diff(xx,'s')*diff(fai_i,'t');

dif_gi_1_x=1/det(J)*diff(yy,'t')*diff(gi_1,'s')-1/det(J)*diff(yy,'s')*diff(gi_1,'t');
dif_gi_2_x=1/det(J)*diff(yy,'t')*diff(gi_2,'s')-1/det(J)*diff(yy,'s')*diff(gi_2,'t');
dif_gi_3_x=1/det(J)*diff(yy,'t')*diff(gi_3,'s')-1/det(J)*diff(yy,'s')*diff(gi_3,'t');

dif_gi_1_y=-1/det(J)*diff(xx,'t')*diff(gi_1,'s')+1/det(J)*diff(xx,'s')*diff(gi_1,'t');
dif_gi_2_y=-1/det(J)*diff(xx,'t')*diff(gi_2,'s')+1/det(J)*diff(xx,'s')*diff(gi_2,'t');
dif_gi_3_y=-1/det(J)*diff(xx,'t')*diff(gi_3,'s')+1/det(J)*diff(xx,'s')*diff(gi_3,'t');

dif_gi_1_x_x=1/det(J)*diff(yy,'t')*diff(dif_gi_1_x,'s')-1/det(J)*diff(yy,'s')*diff(dif_gi_1_x,'t');
dif_gi_2_x_x=1/det(J)*diff(yy,'t')*diff(dif_gi_2_x,'s')-1/det(J)*diff(yy,'s')*diff(dif_gi_2_x,'t');
dif_gi_3_x_x=1/det(J)*diff(yy,'t')*diff(dif_gi_3_x,'s')-1/det(J)*diff(yy,'s')*diff(dif_gi_3_x,'t');

dif_gi_1_y_y=-1/det(J)*diff(xx,'t')*diff(dif_gi_1_y,'s')+1/det(J)*diff(xx,'s')*diff(dif_gi_1_y,'t');
dif_gi_2_y_y=-1/det(J)*diff(xx,'t')*diff(dif_gi_2_y,'s')+1/det(J)*diff(xx,'s')*diff(dif_gi_2_y,'t');
dif_gi_3_y_y=-1/det(J)*diff(xx,'t')*diff(dif_gi_3_y,'s')+1/det(J)*diff(xx,'s')*diff(dif_gi_3_y,'t');

dif_gi_1_x_y=-1/det(J)*diff(xx,'t')*diff(dif_gi_1_x,'s')+1/det(J)*diff(xx,'s')*diff(dif_gi_1_x,'t');
dif_gi_2_x_y=-1/det(J)*diff(xx,'t')*diff(dif_gi_2_x,'s')+1/det(J)*diff(xx,'s')*diff(dif_gi_2_x,'t');
dif_gi_3_x_y=-1/det(J)*diff(xx,'t')*diff(dif_gi_3_x,'s')+1/det(J)*diff(xx,'s')*diff(dif_gi_3_x,'t');


Ai=[[dif_fai_i_x 0;0 dif_fai_i_y;dif_fai_i_y dif_fai_i_x],zeros(3)];

Ci=[zeros(3,2),[dif_gi_1_x_x dif_gi_2_x_x dif_gi_3_x_x;dif_gi_1_y_y dif_gi_2_y_y dif_gi_3_y_y;2*dif_gi_1_x_y ...
    2*dif_gi_2_x_y 2*dif_gi_3_x_y]];
Bi=Ai-z*Ci;
B1=subs(Bi,[si ti],[-1 -1]);
B2=subs(Bi,[si ti],[1 -1]);
B3=subs(Bi,[si ti],[1 1]);
B4=subs(Bi,[si ti],[-1 1]);
B=[B1,B2,B3,B4];


Ke=zeros(20,20);

%%
KD=int(B.'*Q*B,z,-h1/2-hn,h1/2-hn)*det(J);
    Ke_temp=int(int(KD,t,-1,1),s,-1,1);
    Ke=Ke+Ke_temp;


